> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a layout design

> Retrieves a specified layout design.



## OpenAPI

````yaml /openapi.json get /layouts/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /layouts/{id}:
    get:
      tags:
        - Layout Designs
      summary: Get a layout design
      description: Retrieves a specified layout design.
      operationId: GetLayoutDesignById
      parameters:
        - name: id
          in: path
          description: Layout design Id
          required: true
          schema:
            type: string
        - name: matterTypeId
          in: query
          description: Matter type identifier (optional)
          schema:
            type: string
        - name: state
          in: query
          description: State identifier (optional)
          schema:
            type: string
      responses:
        '200':
          description: When request is successful. Returns a 'LayoutDesign' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LayoutDesign'
        '404':
          description: When layout design with specified id does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    LayoutDesign:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        versionId:
          type: string
          description: Version id of the layout design.
          nullable: true
          example: 763c3857-2ed9-4c5d-bee0-c48d48a7543e
        name:
          type: string
          description: Name of the layout design.
          nullable: true
          example: Case Details
        lastUpdated:
          type: integer
          description: Last updated timestamp.
          format: int64
          example: 637847425252027400
        description:
          type: string
          description: Brief description of the layout design.
          nullable: true
          example: Property and title details
        fields:
          type: array
          items:
            $ref: '#/components/schemas/LayoutDesignField'
          description: Collection of layout design fields.
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    LayoutDesignField:
      type: object
      properties:
        name:
          type: string
          description: Name (mapping) of the layout design field.
          nullable: true
          example: PinAndLotSizes[]/AccountNumber
        type:
          type: string
          description: "Type of the layout design field.\r\n            \r\nPossible values: 'Text','Combobox','Checkbox','Date','Role','Number'.\r\n            \r\n'Role' type can represent a matter role (for a top-level layout item) or a matter relationship (for a sublayout item)."
          example: Combobox
        possibleValues:
          type: array
          items:
            type: string
          description: List of possible values (e.g. for Combobox field).
          nullable: true
          example:
            - Residence
            - Commercial
            - Factory
            - Office
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````